Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.window
Class WindowMode

    java.lang.Object
      com.bea.netuix.servlets.controls.Capability
          com.bea.netuix.servlets.controls.window.WindowMode

All Implemented Interfaces
  Serializable

    public class WindowMode

extends Capability

Represents a `mode` the window may be in. Modes can be enabled or disabled. If enabled, the window can display content from the mode's URI instead of the normal window content. A window can only be in one mode at time.
WindowMode extends `Capability` as the user needs to be entitled to set a Window into a particular mode.

See Also
  Serialized Form

Constructor Summary
`WindowMode(String name, String contentUri)` Constructor - with mode enabled set to false

Method Summary
`Object` | `clone()` Create a exact copy of this object.
`boolean` | `equals(WindowMode windowMode)`
`String` | `getAction()` Get the action to run if the contentUri is for a PageFlow.
`String` | `getBackingFile()` Returns the backing file for this mode.
`String` | `getContentUri()` Get the uri for the content to be displayed when the window is in this mode.
`String` | `getCurrentContentUri()` Getter for the content uri currently in use.
`String` | `getErrorUri()` Get the uri for the content to be displayed on errors.
`String` | `getRefreshAction()`
`boolean` | `isThreadsafe()`
`void` | `setAction(String action)` If the contentUri is for a pageflow, there is an option to set the action to run when the pageflow is first entered.
`void` | `setBackingFile(String backingFile)` Sets the backing file for this mode.
`void` | `setContentUri(String contentUri)` Set the uri for the content to be displayed when the window is in this mode.
`void` | `setCurrentContentUri(String currentContentUri)` Setter for the content uri currently in use.
`void` | `setErrorUri(String errorUri)` Set the uri for the content to be displayed on errors.
`void` | `setRefreshAction(String refreshAction)`
`void` | `setThreadsafe(boolean threadsafe)`
`String` | `toString()` Returns this `Capability` as a `String`.

Methods inherited from class com.bea.netuix.servlets.controls.Capability
`equals, equals, getName, isEntitlementsEnabled, setEntitlementsEnabled, setName`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WindowMode

    public WindowMode(String name,
                      String contentUri)

  Constructor - with mode enabled set to false

  Parameters
    `name` - of this mode (must be unique)
    `contentUri` - optional uri the window will render if this mode is enabled

Method Detail

### getContentUri

    public String getContentUri()

  Get the uri for the content to be displayed when the window is in this mode.

### setContentUri

    public void setContentUri(String contentUri)

  Set the uri for the content to be displayed when the window is in this mode.

### getErrorUri

    public String getErrorUri()

  Get the uri for the content to be displayed on errors.

### setErrorUri

    public void setErrorUri(String errorUri)

  Set the uri for the content to be displayed on errors.

### getCurrentContentUri

    public String getCurrentContentUri()

  Getter for the content uri currently in use.

### setCurrentContentUri

    public void setCurrentContentUri(String currentContentUri)

  Setter for the content uri currently in use.

### getBackingFile

    public String getBackingFile()

  Returns the backing file for this mode.

### setBackingFile

    public void setBackingFile(String backingFile)

  Sets the backing file for this mode.

  Parameters
    `backingFile` - backing file

### clone

    public Object clone()

  Create a exact copy of this object.

  Overrides:
    `clone` in class `Object`
  Returns
    a clone of the current WindowMode

### equals

    public boolean equals(WindowMode windowMode)

### toString

    public String toString()

  Description copied from class: `Capability`

  Returns this `Capability` as a `String`.

  Overrides:
    `toString` in class `Capability`
  Returns
    a `String` representation of this `Capability`

### getAction

    public String getAction()

  Get the action to run if the contentUri is for a PageFlow. If the value is null, the default begin action will be used.

### setAction

    public void setAction(String action)

  If the contentUri is for a pageflow, there is an option to set the action to run when the pageflow is first entered. If this value is null, the default begin action will be used.

  Parameters
    `action` -

### getRefreshAction

    public String getRefreshAction()

### setRefreshAction

    public void setRefreshAction(String refreshAction)

### isThreadsafe

    public boolean isThreadsafe()

### setThreadsafe

    public void setThreadsafe(boolean threadsafe)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.